/events:listRecentByType

Gets the most recent event for each specified event type attributed to a specific actor such as a device, user, etc. This endpoint returns one event per type, with the most recent event based on startTimestamp. By default, the API will return only the general event information. To include additional data specific to the requested event type, use the include parameter. The possible values for the include parameter are returned in the dataSchemas field of the event object.

Data Filtering

Data filters allow filtering events based on fields within specific event data schemas. These filters follow the naming pattern data.{schemaName}.{fieldName} and apply to all event types. Events that do not contain the specified schema will be excluded from results. For example, when searching for both motion and device status events with a connectionStatus filter, motion events will not be returned (since they don't have connectionStatus), and only device status events that match the connectionStatus criteria will be returned.

Query Params
include
array of strings

List of properties that should be included in the response. The data field must be included as a prefix to request the desired data. For example, if the client wants to have object detection details and supports the een.objectDetection.v1 schemas, it can add data.een.objectDetection.v1 to the list of requested includes. The list of supported schemas can be found in the dataSchemas field of the event.

include
string
required

Filter to get only events that have an actorType and actorId value that equals the given value. The actor type has to be prefixed along with actor id like actorType:actorId. For example, to filter for events for a camera with id 100d4c41, the actor that has to be used is camera:100d4c41.

type__in
array of strings
required

Filter to get only events that have a type value that equals one of the given parameter values. The set of all possible types can be found using the /eventTypes API. To get the list of event types that have been recorded for a specific actor/device, use /events:listFieldValues.

type__in*
data.een.deviceCloudStatusUpdate.v1.newStatus.connectionStatus__in
array of strings

Filter events to only include those that have the een.deviceCloudStatusUpdate.v1 data schema and where the newStatus.connectionStatus field matches one of the specified values. Events without this data schema will be excluded.

data.een.deviceCloudStatusUpdate.v1.newStatus.connectionStatus__in
boolean

Filter events to only include those that have the een.humanValidationDetails.v1 data schema and where the isValid field matches the specified boolean value. Events without this data schema will be excluded.

boolean

Filter events to only include those where the een.humanValidationDetails.v1 data schema is either missing OR the isValid field does not match the specified boolean value. Events without this data schema will be included. An event is considered valid until it is marked invalid by a human review system, if human review is enabled for that event type.

data.een.deviceIO.v1.portId__in
array of strings

Filter events to only include those that have the een.deviceIO.v1 data schema and where the portId field matches one of the specified values. Events without this data schema will be excluded.

data.een.deviceIO.v1.portId__in
Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json